use super::*;

pub struct APIManager {
    channel:Sender<Query>,
}

impl APIManager {

}

impl Subsystem for APIManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for APIManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
